Get an alert destination without secret material.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"destination": {
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "jsmith@example.com",
"routing_key": "<string>",
"webhook_url": "<string>"
}
}Destinations
Get an alert destination without secret material.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
alerting
/
destinations
/
{destination_uuid}
Get an alert destination without secret material.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/destinations/{destination_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"destination": {
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "jsmith@example.com",
"routing_key": "<string>",
"webhook_url": "<string>"
}
}⌘I